I/O at a file level

File handling functions. More...

## Functions

Elm_Code_File * | elm_code_file_new (Elm_Code *code)
Elm_Code_File * | elm_code_file_open (Elm_Code *code, const char *path)
void | elm_code_file_save (Elm_Code_File *file)
void | elm_code_file_free (Elm_Code_File *file)
void | elm_code_file_close (Elm_Code_File *file)
const char * | elm_code_file_filename_get (Elm_Code_File *file)
| Get the filename for the file specified.
const char * | elm_code_file_path_get (Elm_Code_File *file)
| Get the file path for the file specified.
Elm_Code_File_Line_Ending | elm_code_file_line_ending_get (Elm_Code_File *file)
const char * | elm_code_file_line_ending_chars_get (Elm_Code_File *file, short *length)

## Detailed Description

File handling functions.

Functions for file handling within elm code.

## Function Documentation

## elm_code_file_filename_get()

const char * elm_code_file_filename_get | ( | Elm_Code_File * | file | ) |

Get the filename for the file specified.

Returns
  the filename or NULL if it is an in-memory file

References ecore_file_file_get(), and eina_file_filename_get().

## elm_code_file_path_get()

const char * elm_code_file_path_get | ( | Elm_Code_File * | file | ) |

Get the file path for the file specified.

Returns
  the file's path or NULL if it is an in-memory file

References eina_file_filename_get().